1. Pay-Out
Mozarto - The Payments Orchestration Platform
  • 1. Introduction
  • 2. Quick Start
  • 3. Authentication
  • 4. Webhook Setup
  • 5. Errors
  • 6. Redirect flow
    • Pay-In Flow
    • Pay-Out Flow
  • 7. Payment Providers (PSPs)
    • Overview
    • Brite
    • Cleo
    • Flexepin
    • ForumPay
    • Gigadat
    • Neosurf
    • PayOne
    • Trust Payments
    • Worldpay
    • Emerchantpay
  • 8. Redirect Flow APIs
    • Redirect Flow APIs - overview
    • Pay-In
      • WorldPay
      • Forumpay
      • Payone
      • Gigadat
      • Flexepin
      • Trust
    • Pay-Out
      • Forumpay
        POST
      • Payone
        POST
      • Gigadat withdraw ETO
        POST
      • Gigadat withdraw ACH
        POST
    • Webhook
      • Payone status webhook
  • Schemas
    • TransactionData
  1. Pay-Out

Gigadat withdraw ETO

Prod Env
https://backend.app.mozarto.io
Prod Env
https://backend.app.mozarto.io
POST
/v1/api/mozarto/cashier

Request

Header Params

Body Params application/json

Example
{
      "pspType": "GIGADAT",
      "type": "PAYOUT",
      "payoutType": "ETO",
      "isTestMode": false,
      "name": "John Test",
      "email": "merchant-user@example.com",
      "baseamount": 10.00,
      "currency": "CAD",
      "userId": "000000000000000000000001",
      "userIp": "1.2.3.4",
      "mobile": "07700900000"
    }

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.app.mozarto.io/v1/api/mozarto/cashier' \
--header 'Authorization: Bearer {{COMPANY_TOKEN}}' \
--header 'x-user-token: Bearer {{USER_TOKEN}}' \
--header 'Content-Type: application/json' \
--data-raw '{
      "pspType": "GIGADAT",
      "type": "PAYOUT",
      "payoutType": "ETO",
      "isTestMode": false,
      "name": "John Test",
      "email": "merchant-user@example.com",
      "baseamount": 10.00,
      "currency": "CAD",
      "userId": "000000000000000000000001",
      "userIp": "1.2.3.4",
      "mobile": "07700900000"
    }'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
  "status": "success",
  "message": "Added to approvals table",
  "isSuccess": true,
  "data": {
    "transactionId": "64a1f2b3c4d5e6f7a8b9c0d1",
    "databaseTransactionId": "64a1f2b3c4d5e6f7a8b9c0d1",
    "payoutType": "ETO",
    "method": "AWAITING_APPROVAL",
    "webflowURL": "https://interac.express-connect.com/webflow?transaction=64a1f2b3c4d5e6f7a8b9c0d1&token=<payment-token>",
    "finalizationURL": "https://interac.express-connect.com/webflow/deposit?transaction=64a1f2b3c4d5e6f7a8b9c0d1&token=<payment-token>",
    "instructions": "Transaction created in Gigadat and added to approval queue. Finalization will occur after admin approval.",
    "paymentToken": "<payment-token>",
    "amount": 10.00,
    "merchantReference": "",
    "data": {
      "gigadatTransactionId": "64a1f2b3c4d5e6f7a8b9c0d1",
      "payoutType": "ETO"
    }
  }
}
🟠400
🔴500
Modified at 2026-06-15 11:01:00
Previous
Payone
Next
Gigadat withdraw ACH
Built with